Bug 1604153 - gnome-python2: FTBFS in Fedora rawhide
Summary: gnome-python2: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-python2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-19 21:15 UTC by Mohan Boddu
Modified: 2019-08-28 10:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 10:54:42 UTC


Attachments (Terms of Use)
build.log (8.17 KB, text/plain)
2018-07-19 21:16 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 21:16 UTC, Mohan Boddu
no flags Details
state.log (651 bytes, text/plain)
2018-07-19 21:16 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 21:15:51 UTC
gnome-python2 failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28182551


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix gnome-python2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gnome-python2 will be orphaned. Before branching of Fedora 30,
gnome-python2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 21:16:00 UTC
Created attachment 1462365 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 21:16:06 UTC
Created attachment 1462366 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 21:16:12 UTC
Created attachment 1462367 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 15:21:40 UTC
Matches:
configure: error: no acceptable C compiler found in $PATH

Suggested fix:
BuildRequires:  gcc

Comment 5 Jan Kurik 2018-08-14 09:38:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.